package com.ruoyi.logistics.domain;

import com.ruoyi.logistics.annotation.Dict;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 调账流水记录对象 biz_financial_adjustment_record
 * 
 * @author RuiJing
 * @date 2026-01-29
 */
public class BizFinancialAdjustmentRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "供应商")
    private String deptName;
    /** 调账流水id */
    private Long financialAdjustId;

    /** 运单号 */
    @Excel(name = "运单号")
    private String waybillNo;

    /** 费用明细id */
    @Excel(name = "费用明细id")
    private Long waybillCostDetailId;

    /** 调账类型 */
    @Excel(name = "调账类型")
    @Dict("adjustment_type")
    private String adjustmentType;

    /** 原金额 */
    @Excel(name = "原金额")
    private BigDecimal originalAmount;

    /** 调整后金额 */
    @Excel(name = "调整后金额")
    private BigDecimal adjustedAmount;

    /** 调整金额 */
    @Excel(name = "调整金额")
    private BigDecimal adjustmentAmount;

    /** 调账原因 */
    @Excel(name = "调账原因")
    private String adjustmentReason;

    /** 部门ID */

    private Long deptId;

    /** 用户ID */

    private Long userId;
    @Excel(name = "操作人")
    private String userName;


    @Excel(name = "账单月份")//
    private String summaryMonth;

    public void setSummaryMonth(String summaryMonth) {
        this.summaryMonth = summaryMonth;
    }

    public String getSummaryMonth() {
        return summaryMonth;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getUserName() {
        return userName;
    }

    public String getDeptName() {
        return deptName;
    }

    /** 删除标志 */
    private String delFlag;

    public void setOriginalAmount(BigDecimal originalAmount) {
        this.originalAmount = originalAmount;
    }

    public void setAdjustedAmount(BigDecimal adjustedAmount) {
        this.adjustedAmount = adjustedAmount;
    }

    public void setAdjustmentAmount(BigDecimal adjustmentAmount) {
        this.adjustmentAmount = adjustmentAmount;
    }

    public BigDecimal getOriginalAmount() {
        return originalAmount;
    }

    public BigDecimal getAdjustedAmount() {
        return adjustedAmount;
    }

    public BigDecimal getAdjustmentAmount() {
        return adjustmentAmount;
    }

    public void setFinancialAdjustId(Long financialAdjustId)
    {
        this.financialAdjustId = financialAdjustId;
    }

    public Long getFinancialAdjustId() 
    {
        return financialAdjustId;
    }

    public void setWaybillNo(String waybillNo) 
    {
        this.waybillNo = waybillNo;
    }

    public String getWaybillNo() 
    {
        return waybillNo;
    }

    public void setWaybillCostDetailId(Long waybillCostDetailId) 
    {
        this.waybillCostDetailId = waybillCostDetailId;
    }

    public Long getWaybillCostDetailId() 
    {
        return waybillCostDetailId;
    }

    public void setAdjustmentType(String adjustmentType) 
    {
        this.adjustmentType = adjustmentType;
    }

    public String getAdjustmentType() 
    {
        return adjustmentType;
    }

    public void setAdjustmentReason(String adjustmentReason) 
    {
        this.adjustmentReason = adjustmentReason;
    }

    public String getAdjustmentReason() 
    {
        return adjustmentReason;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("financialAdjustId", getFinancialAdjustId())
            .append("waybillNo", getWaybillNo())
            .append("waybillCostDetailId", getWaybillCostDetailId())
            .append("adjustmentType", getAdjustmentType())
            .append("originalAmount", getOriginalAmount())
            .append("adjustedAmount", getAdjustedAmount())
            .append("adjustmentAmount", getAdjustmentAmount())
            .append("adjustmentReason", getAdjustmentReason())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
